<?php
require './include/common.inc.php';

//if(!$_userid) showmessage($LANG['please_login'], $MOD['linkurl'].'login.php?forward='.urlencode($PHP_URL));
if(!$_userid) header('location:'.$MOD['linkurl'].'login.php?forward='.urlencode($PHP_URL));

extract($member->get_info());
list($email1,$email2) = explode('@', "$email");
$myemail1 = substr($email1,0,1);
$myemail = $myemail1."******@".$email2;
$GROUPS = cache_read('member_group.php');
extract(cache_read('member_group_'.$_groupid.'.php'));
extract(cache_read('member_group_'.$_groupid.'.php'));


$chargetype = $chargetype==1 ? $LANG['period_of_validity'] : $LANG['subtract_point'];
$gender = $gender==1 ? $LANG['male'] : $LANG['female'];
$regtime = $regtime ? date('Y-m-d H:i:s',$regtime) : '';
$lastlogintime = $lastlogintime ? date('Y-m-d H:i:s',$lastlogintime) : '';
$begindate = $begindate > '0000-00-00' ? $begindate : '';
$enddate = $enddate > '0000-00-00' ? $enddate : '';
$old = '';
if($birthday > '0000-00-00')
{
	$date->set_date($birthday);
	$old = date('Y') - $date->get_year();
}
$enableaddalways = $enableaddalways == 1 ? $LANG['yes'] : $LANG['no'];

$groupnames = '';
foreach($_arrgroupid as $gid)
{
	$groupnames .= ($groupnames ? ' ' : '').$GROUPS[$gid]['groupname'];
}

if($_groupid == 1 || $_groupid > 5)
{
	$status = $LANG['normal'];
}
else
{
	$status = $GROUP['groupname'];
}


include template($mod, 'index');
?>